/**
 * Open SUIT - Simple User Interface Toolkit
 * 
 * Copyright (c) 2009 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ow2.opensuit.samples.livetour.model.dataaccess;

/**
 * The base exception thrown by MoviesDataBase.
 */
public class DataBaseError extends Exception
{
	/**
     * 
     */
    private static final long serialVersionUID = 3322983924210302385L;
    /**
	 * DataBaseError: technical (database down, connection failed, ...)
	 */
	public final static int TECHNICAL_ERROR = 0;
	/**
	 * DataBaseError: requested object not found
	 */
	public final static int DATA_NOT_FOUND_ERROR = 1;
	
	private int code;

	public DataBaseError(int code, String message)
	{
		super(message);
		this.code = code;
	}
	/**
	 * Returns the error code
	 */
	public int getCode()
	{
		return code;
	}
}
