/**
 * Open SUIT - Simple User Interface Toolkit
 * 
 * Copyright (c) 2009 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ow2.opensuit.samples.livetour.model.to;

import java.io.Serializable;
import java.util.Date;

/**
 * Movie Transfer Object
 * <p>
 * This object gives the description of a movie.
 * </p>
 */
public class MovieTO implements Cloneable, Serializable
{
	private static final long serialVersionUID = 1L;
	
	private PersonTO director;
	
	private int id;
	
	private String frenchTitle;
	
	private String originalTitle;

	private Date releaseDate;
	
	public MovieTO clone() throws CloneNotSupportedException
	{
	    return (MovieTO)super.clone();
	}
	
	/*
	public int getDirectorId()
    {
    	return directorId;
    }

	public void setDirectorId(int directorId)
    {
    	this.directorId = directorId;
    }
    */
	/**
	 * Returns the movie's french title
	 */
	public String getFrenchTitle()
    {
    	return frenchTitle;
    }
	/**
	 * Sets the movie's french title
	 * @param frenchTitle
	 */
	public void setFrenchTitle(String frenchTitle)
    {
    	this.frenchTitle = frenchTitle;
    }
	
	/**
	 * Returns the movie's original title
	 */
	public String getOriginalTitle()
    {
    	return originalTitle;
    }

	/**
	 * Sets the movie's original title
	 */
	public void setOriginalTitle(String originalTitle)
    {
    	this.originalTitle = originalTitle;
    }

	/**
	 * Returns the movie's ID (in database)
	 * @return
	 */
	public int getId()
    {
    	return id;
    }
	/**
	 * Sets the movie's ID
	 * @param rank
	 */
	public void setId(int rank)
    {
    	this.id = rank;
    }
	/**
	 * Returns the movie's release date (year).
	 * @return
	 */
	public Date getReleaseDate()
    {
    	return releaseDate;
    }
	/**
	 * Sets the release date
	 * @param releaseDate
	 */
	public void setReleaseDate(Date releaseDate)
    {
    	this.releaseDate = releaseDate;
    }
	/**
	 * Returns the director object
	 * @return
	 */
	public PersonTO getDirector()
    {
    	return director;
    }
	/**
	 * Sets the movie's director
	 * @param director
	 */
	public void setDirector(PersonTO director)
    {
    	this.director = director;
    }

	
}
