/**
 * Open SUIT - Simple User Interface Toolkit
 * 
 * Copyright (c) 2009 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ow2.opensuit.samples.livetour.model.to;

import java.io.Serializable;
import java.util.Date;

/**
 * Person Object
 * <p>
 * This object gives the description of a person.
 * </p>
 */
public class PersonTO implements Cloneable, Serializable
{
	private static final long serialVersionUID = 1L;
	
	private int id;
	
	private String name;
	
	private String nationality;
	
	private Date birth;

	private Date death;
	
	public PersonTO clone() throws CloneNotSupportedException
	{
        return (PersonTO)super.clone();
	}
	/**
	 * Returns the birth date
	 * @return
	 */
	public Date getBirth()
    {
    	return birth;
    }
	/**
	 * Sets the birth date
	 * @param birth
	 */
	public void setBirth(Date birth)
    {
    	this.birth = birth;
    }
	/**
	 * Returns the death date (or null if person is still alive)
	 * @return
	 */
	public Date getDeath()
    {
    	return death;
    }
	/**
	 * Sets the death date
	 */
	public void setDeath(Date death)
    {
    	this.death = death;
    }
	/**
	 * Returns the person's full name (first name and last name)
	 * @return
	 */
	public String getName()
    {
    	return name;
    }
	/**
	 * Sets the person full name
	 * @param firstname
	 */
	public void setName(String firstname)
    {
    	this.name = firstname;
    }
	/**
	 * Returns the person'id (in database)
	 * @return
	 */
	public int getId()
    {
    	return id;
    }
	/**
	 * Sets the person's id
	 * @param id
	 */
	public void setId(int id)
    {
    	this.id = id;
    }
	/**
	 * Returns the nationality
	 * @return
	 */
	public String getNationality()
    {
    	return nationality;
    }
	/**
	 * Sets the nationality
	 * @param nationality
	 */
	public void setNationality(String nationality)
    {
    	this.nationality = nationality;
    }
	
	

}
