package org.ow2.opensuit.samples.livetour.test;

import java.io.File;
import java.io.PrintWriter;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.xpath.XPath;
import javax.xml.xpath.XPathConstants;
import javax.xml.xpath.XPathFactory;

import org.ow2.opensuit.core.impl.tools.Validator.J2EEValidator;
import org.ow2.opensuit.xml.interfaces.IOpenSuitInstContext;
import org.ow2.opensuit.xmlmap.XmlInstantiator;
import org.ow2.opensuit.xmlmap.interfaces.IContentAssist;
import org.ow2.opensuit.xmlmap.interfaces.IInitializationSupport;
import org.w3c.dom.Document;
import org.w3c.dom.Node;

public class ContentAssistProg {
	public static void main(String... args) throws Exception
	{
	   	// --- 1: instantiate Open SUIT model
    	File webRootDir = new File("src/main/webapp");
    	File xmlFile = new File("src/main/webapp/WEB-INF/DemoApp.xml");
    	
		IOpenSuitInstContext validSupport = new J2EEValidator(webRootDir);
		XmlInstantiator instantiator = XmlInstantiator.instantiate(xmlFile.toURI().toURL(), validSupport);
		
		// --- 2: check there is no error
		instantiator.dumpMessages(IInitializationSupport.WARNING, new PrintWriter(System.out));
		
		// test content assist
		DocumentBuilder builder = DocumentBuilderFactory.newInstance().newDocumentBuilder();
		Document doc = builder.parse(xmlFile);
		
		XPath xpath = XPathFactory.newInstance().newXPath();
		Node node = (Node)xpath.evaluate("//locale.FromCode/Locale", doc, XPathConstants.NODE);
		System.out.println("Locale node: "+node.getTextContent());
		IContentAssist ca = instantiator.getContentAssist(xmlFile.toURI().toURL(), node);
		if(ca != null)
		{
			System.out.println("content assist: "+ca);
		}
	}
}
