package org.ow2.opensuit.samples.livetour.test;

import java.io.IOException;
import java.net.MalformedURLException;

import org.junit.BeforeClass;
import org.junit.Test;
import org.mortbay.jetty.Server;
import org.mortbay.jetty.webapp.WebAppContext;

import com.gargoylesoftware.htmlunit.FailingHttpStatusCodeException;
import com.gargoylesoftware.htmlunit.WebClient;
import com.gargoylesoftware.htmlunit.html.HtmlAnchor;
import com.gargoylesoftware.htmlunit.html.HtmlPage;

public class LiveTourTest //extends TestCase
{
	private static Server server;
	
	@BeforeClass
	public static void start() throws Exception
	{
		server = new Server(9999);
		WebAppContext wac = new WebAppContext("src/main/webapp", "/osuit");
		server.addHandler(wac);
		server.start();
	}
	public static void shutdown() throws Exception
	{
		server.stop();
		server = null;
	}
	public String getServletRootUrl()
	{
		return "http://localhost:"+server.getConnectors()[0].getPort()+"/osuit/GUI";
	}
	@Test
	public void testHomePage() throws FailingHttpStatusCodeException, MalformedURLException, IOException
	{
		WebClient client = new WebClient();
		HtmlPage page = client.getPage(getServletRootUrl());
		assert page.getTitleText().toLowerCase().contains("welcome");
		System.out.println("Welcome page: "+page.getTextContent());
		System.out.println("title: "+page.getTitleText());
		
		HtmlAnchor a = page.getAnchorByText("Overview");
		page = a.click();
		System.out.println("title: "+page.getTitleText());
		
		a = page.getAnchorByText("Popups");
		page = a.click();
		System.out.println("title: "+page.getTitleText());
		
		a = page.getAnchorByText("Inform (Info)");
		page = a.click();
		System.out.println("title: "+page.getTitleText());
		
		a = page.getAnchorByText("Continue");
		page = a.click();
		System.out.println("title: "+page.getTitleText());
		
	}
}
